<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container">
        <form id="form-login">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Login to your account</h3>
                    </div>

                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Username" id="inp-login-username"
                                class="form-control" value="" autocomplete="username">
                        </div>
                        <div class="form-group">
                            <input type="password" name="password" id="pwd-login-password" placeholder="Password"
                                class="form-control" value="" autocomplete="inp-current-password">
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="ckb-remember-username"
                                class="form-check-input">
                            <label class="form-check-label" for="rememberusername">Remember username</label>

                            <a class="float-right" href="#">Lost password?</a>
                        </div>
                        <div class="form-group">
                            <button type="submit" id="btn-login" class="btn btn-log btn-block btn-info">Đăng nhập</button>
                        </div>
                    </div>

                    <div class="text-left">Or <a href="#">Sign-up</a> for having an account</div>
                </div>
            </div>
        </form>
    </div>

</body>
<script>
    "use strict";

    $(document).ready(function () {
        onPageLoading();
    });

    $("#form-login").on('submit', function(event){
        event.preventDefault();
        onFormLoginSubmit();

    });

    function onPageLoading() {
        console.log("Tải trang...");

    }

    function onFormLoginSubmit() {
        var vUser = {
            username: "",
            password: "",
            isRemember:false,
        };
        getLoginData(vUser);
       var isValid=validateLoginData(vUser);
       if (isValid){
        //hiển thị
        login(vUser);
       }
    }
    function getLoginData(paramUser){
        paramUser.username = $("#inp-login-username").val().trim();
        paramUser.password = $("#pwd-login-password").val().trim();
        paramUser.isRemember=$("#ckb-remember-username").is(':checked');
       
    }
    function validateLoginData(paramUser){
        if ( paramUser.username===""){
            alert("Chưa nhập Username");
            $("#inp-login-username").focus();
            return false;
        }
        if ( paramUser.password===""){
            alert("Chưa nhập password");
            $("#pwd-login-password").focus();
            return false;
        }
        return true;
    }
    function login(paramUser){
        console.log(paramUser);
    }
</script>

</html>